## ros-humble-turtlebot4-msgs 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(turtlebot4_msgs)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/UserLed.msg"
  "msg/UserButton.msg"
  "msg/UserDisplay.msg"
)

ament_package()

=== debian/changelog ===
ros-humble-turtlebot4-msgs (1.0.3-1jammy) jammy; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 31 May 2023 04:00:00 -0000

ros-humble-turtlebot4-msgs (1.0.2-1jammy) jammy; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 15 May 2023 04:00:00 -0000

ros-humble-turtlebot4-msgs (1.0.1-1jammy) jammy; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 28 Feb 2023 05:00:00 -0000

ros-humble-turtlebot4-msgs (1.0.0-1jammy) jammy; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Fri, 17 Feb 2023 05:00:00 -0000

ros-humble-turtlebot4-msgs (0.1.2-1jammy) jammy; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 15 Sep 2022 04:00:00 -0000

ros-humble-turtlebot4-msgs (0.1.1-1jammy) jammy; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 12 Jul 2022 04:00:00 -0000

ros-humble-turtlebot4-msgs (0.1.0-1jammy) jammy; urgency=high

  * First Galactic release
  * Contributors: Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 03 May 2022 04:00:00 -0000

=== debian/control ===
Source: ros-humble-turtlebot4-msgs
Section: misc
Priority: optional
Maintainer: rkreinin <rkreinin@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-turtlebot4-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Turtlebot4 Messages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-turtlebot4-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-turtlebot4-msgs 1.0.5

=== debian/changelog ===
ros-humble-turtlebot4-msgs (1.0.5-1bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 01 Jul 2024 16:00:00 -0000

ros-humble-turtlebot4-msgs (1.0.4-1bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-turtlebot4-msgs (1.0.3-1bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 30 May 2023 16:00:00 -0000

ros-humble-turtlebot4-msgs (1.0.2-1bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Sun, 14 May 2023 16:00:00 -0000

ros-humble-turtlebot4-msgs (1.0.1-1bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 27 Feb 2023 16:00:00 -0000

ros-humble-turtlebot4-msgs (1.0.0-1bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 16 Feb 2023 16:00:00 -0000

ros-humble-turtlebot4-msgs (0.1.2-1bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 14 Sep 2022 16:00:00 -0000

ros-humble-turtlebot4-msgs (0.1.1-1bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 11 Jul 2022 16:00:00 -0000

ros-humble-turtlebot4-msgs (0.1.0-1bookworm) bookworm; urgency=high

  * First Galactic release
  * Contributors: Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 02 May 2022 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-turtlebot4-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-turtlebot4-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-turtlebot4-msgs//opt/ros/humble/opt/turtlebot4_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
